2

Hi I'm trying to run Plex on my Raspberry Pi 1st gen rev B, but it does not seem to be starting. I have followed this guide and looked at others that look the same and can't see what the issue is. It seems to be installing ok and does not give any error messages after sudo service plexmediaserver start, I just get no webif when I put the IP and port into my web browser.

I am running the latest Raspbian Stretch on the Pi. Any help would be appreciated.

Here is the print out of the status

pi@raspberrypi:~ $ sudo service plexmediaserver status

* plexmediaserver.service - Plex Media Server for Linux
   Loaded: loaded (/lib/systemd/system/plexmediaserver.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Thu 2017-11-30 20:10:19 UTC; 3min 42s ago
  Process: 4781 ExecStart=/bin/sh -c LD_LIBRARY_PATH=/usr/lib/plexmediaserver "/usr/lib/plexmediaserver/Plex Media Serv
  Process: 4777 ExecStartPre=/bin/sh -c /usr/bin/test -d "${PLEX_MEDIA_SERVER_APPLICATION_SUPPORT_DIR}" || /bin/mkdir -
 Main PID: 4781 (code=exited, status=132)   
Nov 30 20:10:14 raspberrypi systemd[1]: plexmediaserver.service: Unit entered failed state.
Nov 30 20:10:14 raspberrypi systemd[1]: plexmediaserver.service: Failed with result 'exit-code'.
Nov 30 20:10:19 raspberrypi systemd[1]: plexmediaserver.service: Service hold-off time over, scheduling restart.
Nov 30 20:10:19 raspberrypi systemd[1]: Stopped Plex Media Server for Linux.
Nov 30 20:10:19 raspberrypi systemd[1]: plexmediaserver.service: Start request repeated too quickly.
Nov 30 20:10:19 raspberrypi systemd[1]: Failed to start Plex Media Server for Linux.
Nov 30 20:10:19 raspberrypi systemd[1]: plexmediaserver.service: Unit entered failed state.
Nov 30 20:10:19 raspberrypi systemd[1]: plexmediaserver.service: Failed with result 'exit-code'.
0

I had the same problem. The error indicates that the main process (not the ExecPre) has failed. In my case, running the command directly:

LD_LIBRARY_PATH=/usr/lib/plexmediaserver /usr/lib/plexmediaserver/Plex\ Media\ Server

Resulted in an error Illegal Instruction

I checked /proc/cpuinfo and /proc/meminfo and verified with the help of the hardware history page on elinux that the pi I had chosen was an old Model B with 512MB RAM.

A comment at one of the installation tutorials noted similar symptoms on a 256MB Model B, so I suspect this hardware isn't capable of running this version of Plex.

A comment on the Plex discussion forumsays:

the new PMS versions require Arm7

and a further post confirms this.

My solution is to go and get a newer pi and try it. Unfortunately the newer Pi was just a model B+ and showed exactly the same symptoms even after

sudo apt-get remove --purge plexmediaserver* sudo apt-get install plexmediaserver-installer

There is an error during installation which was also there before, but I'm not sure if it is important: rm: cannot remove '/etc/systemd/system/plexmediaserver.service.d/override.conf': No such file or directory

I still believe the solution is a newer Pi, hope that helps you as well.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.